import { BaseApi, BaseApiOptions, BasePolling } from './base-api';
import { BasicInformationResponse, KwhMeter3PhaseDataResponse } from './types';
export type KwhMeter3PhasePolling = BasePolling<KwhMeter3PhaseDataResponse>;
export declare class KwhMeter3PhaseApi extends BaseApi {
    getBasicInformation<T extends BasicInformationResponse>(): Promise<T>;
    getData<T extends KwhMeter3PhaseDataResponse>(): Promise<T>;
    protected startPolling(method: 'getData', apiMethod: <T extends KwhMeter3PhaseDataResponse>() => Promise<T>): Promise<void>;
    constructor(baseUrl: string, options?: BaseApiOptions);
    get polling(): KwhMeter3PhasePolling;
}
//# sourceMappingURL=kwh-meter-3-phase-api.d.ts.map