import { BaseApi, BaseApiOptions, BasePolling } from './base-api';
import { BasicInformationResponse, KwhMeter1PhaseDataResponse } from './types';
export type KwhMeter1PhasePolling = BasePolling<KwhMeter1PhaseDataResponse>;
export declare class KwhMeter1PhaseApi extends BaseApi {
    getBasicInformation<T extends BasicInformationResponse>(): Promise<T>;
    getData<T extends KwhMeter1PhaseDataResponse>(): Promise<T>;
    protected startPolling(method: 'getData', apiMethod: <T extends KwhMeter1PhaseDataResponse>() => Promise<T>): Promise<void>;
    constructor(baseUrl: string, options?: BaseApiOptions);
    get polling(): KwhMeter1PhasePolling;
}
//# sourceMappingURL=kwh-meter-1-phase-api.d.ts.map